# Spec version 1.0.2
# This file is auto-generated by setup.py

from .base_types import AnnotationTypesBase


class AnnotationTypes(AnnotationTypesBase):
    """
    This class contains the CLAMS annotation types 
    defined in the spec version 1.0.2 as class variables. 
    """
    
    # prpoerty aliases, first added in MMIF 1.0.2
    # map from type short name to a dictionary of property aliases
    # where nested dictionary maps from representative name to its aliases
    prop_aliases = {
        'TimeFrame': {'label': {'frameType', 'label'}},
        'BoundingBox': {'label': {'boxType', 'label'}},
    }

    Annotation = AnnotationTypesBase('http://mmif.clams.ai/vocabulary/Annotation/v3')
    Region = AnnotationTypesBase('http://mmif.clams.ai/vocabulary/Region/v2')
    TimePoint = AnnotationTypesBase('http://mmif.clams.ai/vocabulary/TimePoint/v2')
    Interval = AnnotationTypesBase('http://mmif.clams.ai/vocabulary/Interval/v2')
    Span = AnnotationTypesBase('http://mmif.clams.ai/vocabulary/Span/v2')
    TimeFrame = AnnotationTypesBase('http://mmif.clams.ai/vocabulary/TimeFrame/v3')
    Chapter = AnnotationTypesBase('http://mmif.clams.ai/vocabulary/Chapter/v3')
    Polygon = AnnotationTypesBase('http://mmif.clams.ai/vocabulary/Polygon/v2')
    BoundingBox = AnnotationTypesBase('http://mmif.clams.ai/vocabulary/BoundingBox/v2')
    VideoObject = AnnotationTypesBase('http://mmif.clams.ai/vocabulary/VideoObject/v2')
    Relation = AnnotationTypesBase('http://mmif.clams.ai/vocabulary/Relation/v2')
    Alignment = AnnotationTypesBase('http://mmif.clams.ai/vocabulary/Alignment/v1')
    typevers = {'Annotation': 'v3', 'Region': 'v2', 'TimePoint': 'v2', 'Interval': 'v2', 'Span': 'v2', 'TimeFrame': 'v3', 'Chapter': 'v3', 'Polygon': 'v2', 'BoundingBox': 'v2', 'VideoObject': 'v2', 'Relation': 'v2', 'Alignment': 'v1'}
